=== debian/changelog ===
ros-humble-controller-manager (2.31.0-1jammy) jammy; urgency=high

  * [Docs] Fix information about activation and deactivation of chainable controllers (#1104 <https://github.com/ros-controls/ros2_control/issues/1104>) (#1106 <https://github.com/ros-controls/ros2_control/issues/1106>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-controller-manager (2.30.0-1jammy) jammy; urgency=high

  * [CM] Fixes the issue with individual controller's update rate (#1082 <https://github.com/ros-controls/ros2_control/issues/1082>) (#1097 <https://github.com/ros-controls/ros2_control/issues/1097>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-controller-manager (2.29.0-1jammy) jammy; urgency=high

  * [CM] Make error message after trying to active controller more informative. (#1066 <https://github.com/ros-controls/ros2_control/issues/1066>) (#1072 <https://github.com/ros-controls/ros2_control/issues/1072>)
  * added controller manager runner to have update cycles (#1075 <https://github.com/ros-controls/ros2_control/issues/1075>) (#1076 <https://github.com/ros-controls/ros2_control/issues/1076>)
  * Fix equal and higher controller update rate (backport #1070 <https://github.com/ros-controls/ros2_control/issues/1070>) (#1071 <https://github.com/ros-controls/ros2_control/issues/1071>)
  * Contributors: Sai Kishor Kothakota, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-controller-manager (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.27.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #1031 <https://github.com/ros-controls/ros2_control/issues/1031>) (#1042 <https://github.com/ros-controls/ros2_control/issues/1042>)
  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * controller_manager_srvs tests: Add text to assertions (backport #1023 <https://github.com/ros-controls/ros2_control/issues/1023>) (#1029 <https://github.com/ros-controls/ros2_control/issues/1029>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich, Bence Magyar, Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.26.0-1jammy) jammy; urgency=high

  * Revert "Add diagnostics (#1015 <https://github.com/ros-controls/ros2_control/issues/1015>) #abi-breaking
  * Fix GitHub link on control.ros.org (#1022 <https://github.com/ros-controls/ros2_control/issues/1022>) (#1024 <https://github.com/ros-controls/ros2_control/issues/1024>)
  * Contributors: Joseph Schornak, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-manager (2.24.0-1jammy) jammy; urgency=high

  * fix AttributeError: Parameter object attribute name is read-only (#957 <https://github.com/ros-controls/ros2_control/issues/957>) (#958 <https://github.com/ros-controls/ros2_control/issues/958>)
  * Expose node options to controller manager (#942 <https://github.com/ros-controls/ros2_control/issues/942>) (#946 <https://github.com/ros-controls/ros2_control/issues/946>)
  * Contributors: Bence Magyar, methylDragon,Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.23.0-1jammy) jammy; urgency=high

  * Adds list_hardware_components to CLI #796 <https://github.com/ros-controls/ros2_control/issues/796> - Adds list_hardware_components to CLI (#891 <https://github.com/ros-controls/ros2_control/issues/891>) (#937 <https://github.com/ros-controls/ros2_control/issues/937>)
  * Do not use CLI calls but direct API for setting parameters. (backport #910 <https://github.com/ros-controls/ros2_control/issues/910>) (#913 <https://github.com/ros-controls/ros2_control/issues/913>)
  * Contributors: Andy McEvoy, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.22.0-1jammy) jammy; urgency=high

  * Optimize output of controller spawner (backport #909 <https://github.com/ros-controls/ros2_control/issues/909>) (#911 <https://github.com/ros-controls/ros2_control/issues/911>)
  * Namespace Loaded Controllers (#852 <https://github.com/ros-controls/ros2_control/issues/852>) (#914 <https://github.com/ros-controls/ros2_control/issues/914>)
  * Add diagnostics (backport #820 <https://github.com/ros-controls/ros2_control/issues/820>) (#922 <https://github.com/ros-controls/ros2_control/issues/922>)
  * Contributors: Bence Magyar, Denis Stogl, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.21.0-1jammy) jammy; urgency=high


