## ros-humble-controller-manager 2.41.0

=== debian/changelog ===
ros-humble-controller-manager (2.41.0-1bookworm) bookworm; urgency=high

  * check for state of the controller node before cleanup (backport #1363 <https://github.com/ros-controls/ros2_control/issues/1363>) (#1378 <https://github.com/ros-controls/ros2_control/issues/1378>)
  * Bump version of pre-commit hooks (backport #1430 <https://github.com/ros-controls/ros2_control/issues/1430>) (#1434 <https://github.com/ros-controls/ros2_control/issues/1434>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-controller-manager (2.40.0-1bookworm) bookworm; urgency=high

  * Fix multiple chainable controller activation bug (backport #1401 <https://github.com/ros-controls/ros2_control/issues/1401>) (#1411 <https://github.com/ros-controls/ros2_control/issues/1411>)
  * [CI] Code coverage + pre-commit (backport #1413 <https://github.com/ros-controls/ros2_control/issues/1413>) (#1414 <https://github.com/ros-controls/ros2_control/issues/1414>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-controller-manager (2.39.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-controller-manager (2.39.0-1bookworm) bookworm; urgency=high

  * [Spawners] Remove walrus operator (#1366 <https://github.com/ros-controls/ros2_control/issues/1366>)
  * [CM] Use explicit constants in controller tests. (#1356 <https://github.com/ros-controls/ros2_control/issues/1356>) (#1359 <https://github.com/ros-controls/ros2_control/issues/1359>)
  * Move test_components to own package (backport #1325 <https://github.com/ros-controls/ros2_control/issues/1325>) (#1340 <https://github.com/ros-controls/ros2_control/issues/1340>)
  * Contributors: Christoph Fröhlich, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-controller-manager (2.38.0-1bookworm) bookworm; urgency=high

  * [CM] Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>) (#1332 <https://github.com/ros-controls/ros2_control/issues/1332>)
  * Enable setting of initial state in HW components (backport #1046 <https://github.com/ros-controls/ros2_control/issues/1046>) (#1064 <https://github.com/ros-controls/ros2_control/issues/1064>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.37.0-1bookworm) bookworm; urgency=high

  * Add additional checks for non existing and not available interfaces. (backport #1218 <https://github.com/ros-controls/ros2_control/issues/1218>) (#1291 <https://github.com/ros-controls/ros2_control/issues/1291>)
  * [ControllerManager] Fix all warnings from the latets features. (backport #1174 <https://github.com/ros-controls/ros2_control/issues/1174>) (#1309 <https://github.com/ros-controls/ros2_control/issues/1309>)
  * Reformat with braces added (backport #1209 <https://github.com/ros-controls/ros2_control/issues/1209>) (#1306 <https://github.com/ros-controls/ros2_control/issues/1306>)
  * Add spawner for hardware (backport #941 <https://github.com/ros-controls/ros2_control/issues/941>) (#1216 <https://github.com/ros-controls/ros2_control/issues/1216>)
  * Initialize the controller manager services after initializing resource manager (#1272 <https://github.com/ros-controls/ros2_control/issues/1272>)
  * Fix rqt controller manager crash on ros2_control restart (#1273 <https://github.com/ros-controls/ros2_control/issues/1273>) (#1280 <https://github.com/ros-controls/ros2_control/issues/1280>)
  * Contributors: David Yackzan, Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.36.1-1bookworm) bookworm; urgency=high

  * [docs] Remove joint_state_controller (#1263 <https://github.com/ros-controls/ros2_control/issues/1263>) (#1264 <https://github.com/ros-controls/ros2_control/issues/1264>)
  * [CI] Increase timeout for controller_managers_srv test (backport #1224 <https://github.com/ros-controls/ros2_control/issues/1224>) (#1225 <https://github.com/ros-controls/ros2_control/issues/1225>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-controller-manager (2.36.0-1bookworm) bookworm; urgency=high

  * Fix controller sorting issue while loading large number of controllers (#1180 <https://github.com/ros-controls/ros2_control/issues/1180>) (#1186 <https://github.com/ros-controls/ros2_control/issues/1186>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-controller-manager (2.35.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-controller-manager (2.35.0-1bookworm) bookworm; urgency=high

  * Fix the controller sorting bug when the interfaces are not configured (fixes #1164 <https://github.com/ros-controls/ros2_control/issues/1164>) (#1165 <https://github.com/ros-controls/ros2_control/issues/1165>) (#1166 <https://github.com/ros-controls/ros2_control/issues/1166>)
  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (backport #940 <https://github.com/ros-controls/ros2_control/issues/940>) (#1052 <https://github.com/ros-controls/ros2_control/issues/1052>)
  * Contributors: Sai Kishor Kothakota, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-controller-manager (2.34.0-1bookworm) bookworm; urgency=high

  * [Humble] Controller sorting (#1157 <https://github.com/ros-controls/ros2_control/issues/1157>)

