## ros-humble-controller-manager 2.43.1

=== debian/changelog ===
ros-humble-controller-manager (2.43.1-1bookworm) bookworm; urgency=high

  * controller_manager: Add space to string literal concatenation (#1245 <https://github.com/ros-controls/ros2_control/issues/1245>) (#1747 <https://github.com/ros-controls/ros2_control/issues/1747>)
  * fix: the print of the information in control node was in wrong order (#1726 <https://github.com/ros-controls/ros2_control/issues/1726>)
  * Contributors: Manuel Muth, roscan-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-controller-manager (2.43.0-1bookworm) bookworm; urgency=high

  * Infrom user why rt policy could not be set, infrom if is set. (backport #1705 <https://github.com/ros-controls/ros2_control/issues/1705>) (#1708 <https://github.com/ros-controls/ros2_control/issues/1708>)
  * Make list controller and list hardware components immediately visualize the state. (backport #1606 <https://github.com/ros-controls/ros2_control/issues/1606>) (#1690 <https://github.com/ros-controls/ros2_control/issues/1690>)
  * Robustify spawner (backport #1501 <https://github.com/ros-controls/ros2_control/issues/1501>) (#1686 <https://github.com/ros-controls/ros2_control/issues/1686>)
  * [CI] Backport #1636 <https://github.com/ros-controls/ros2_control/issues/1636> #1668 <https://github.com/ros-controls/ros2_control/issues/1668> and fix coverage on jammy (#1677 <https://github.com/ros-controls/ros2_control/issues/1677>)
  * Handle on waiting (backport #1562 <https://github.com/ros-controls/ros2_control/issues/1562>) (#1680 <https://github.com/ros-controls/ros2_control/issues/1680>)
  * refactor SwitchParams to fix the incosistencies in the spawner tests (backport #1638 <https://github.com/ros-controls/ros2_control/issues/1638>) (#1659 <https://github.com/ros-controls/ros2_control/issues/1659>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-controller-manager (2.42.0-1bookworm) bookworm; urgency=high

  * Remove noqa (#1626 <https://github.com/ros-controls/ros2_control/issues/1626>) (#1628 <https://github.com/ros-controls/ros2_control/issues/1628>)
  * Bump version of pre-commit hooks (backport #1556 <https://github.com/ros-controls/ros2_control/issues/1556>) (#1557 <https://github.com/ros-controls/ros2_control/issues/1557>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000
